commonmark-extensions-0.2.7: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.TaskList

# Documentation

taskListSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasTaskList il bl) => SyntaxSpec m il bl Source #

class IsBlock il bl => HasTaskList il bl where Source #

Methods

taskList :: ListType -> ListSpacing -> [(Bool, bl)] -> bl Source #

#### Instances

Instances details

Rangeable (Html a) => HasTaskList (Html a) (Html a) Source # |
Instance details Defined in Commonmark.Extensions.TaskList Methods taskList :: ListType -> ListSpacing -> [(Bool, Html a)] -> Html a Source #
(HasTaskList il bl, Semigroup bl, Semigroup il) => HasTaskList (WithSourceMap il) (WithSourceMap bl) Source # |
Instance details Defined in Commonmark.Extensions.TaskList Methods taskList :: ListType -> ListSpacing -> [(Bool, WithSourceMap bl)] -> WithSourceMap bl Source #